<?php
// OpenCart side of the Wordpress Plugin "OpenCart Product Display"
// https://www.thatsoftwareguy.com/wp_opencart_product_display.html

class ControllerExtensionProductWpProductDisplay extends Controller {

	public function index() {
     if (isset($this->request->get['product_id'])) {
        $product_id = (int)$this->request->get['product_id'];
     } else {
       return;
     }
     $this->load->language('product/product');
     $this->load->model('catalog/product');
     $product_info = $this->model_catalog_product->getProduct($product_id);

     $name = $product_info['name'];
     $price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
     if ((float)$product_info['special']) {
          $special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
     } else {
          $special = false;
     }
     $link = $this->url->link('product/product', 'product_id=' . $product_id); 

		  $this->load->model('tool/image');

			if ($product_info['image']) {
				$base_image = $this->model_tool_image->resize($product_info['image'], $this->config->get($this->config->get('config_theme') . '_image_popup_width'), $this->config->get($this->config->get('config_theme') . '_image_popup_height'));
        $image = '<img src="' . $base_image . '" title="' . $name . '"  alt="' . $name . '" />';
			} else {
				$image = '';
			}

		 $description = strip_tags(html_entity_decode($product_info['description'], ENT_QUOTES, 'UTF-8'));
     $data = array(
            'name' => $name,
            'price' => $price,
            'special' => $special,
            'link' => $link,
            'image' => $image,
            'description' => $description,
             ); 
     $json = json_encode($data); 
     echo $json; 
    }
  }
